import ruralMarkerImg from '@/assets/images/screen/map-rural.png';




export default (AMap, map, opts = {}) => {
  const marker = new AMap.Marker({
    map,
    icon: ruralMarkerImg,
    anchor: 'top-center',
    offset: new AMap.Pixel(0, 0),
    ...opts,
  });

  let show = false;

  // 合作社数据
  const { ruralName, ruralAddress, ruralNumber, ruralPhone, } = opts?.extData;

  marker.setLabel({
    direction: 'top',
    offset: new AMap.Pixel(0, 0),
    content: `
    <div class='geo-map-rural-box' >
      <div class="borderBox"><span class='geo-map-rural-text-span borderBox'>名 称</span>：${ruralName}</div>
      <div class="borderBox"><span class='geo-map-rural-text-span borderBox'>地 址</span>：${ruralAddress}</div>
      <div class="borderBox">农机数量：${ruralNumber}</div>
      <div class="borderBox">联系电话：${ruralPhone}</div>
    </div>`,
  });


  // marker.on('click', () => {
  //   if (show) {
  //     marker.setLabel({ content: '' });
  //     show = false;
  //     return;
  //   }


  //   if (!content) {
  //     marker.setLabel({ content: '' });
  //   } else {
  //     marker.setLabel({
  //       direction: 'top',
  //       offset: new AMap.Pixel(0, 0),
  //       content: `<div class='geo-map-marker-label' ><div class='geo-map-marker-label-text'>${ruralName}</div></div>`,
  //     });
  //   }

  //   show = true;
  // });

  return marker;
};
